# AppleWin Debugger Tutorial

By Michael Pohoreski.

Revision 3. Mar 12, 2006.

## Table of Contents

- Introduction
- Entering the Debugger
- Scrolling
- Registers
- Flags
- Execution
- Memory
  - Viewing Memory
  - Searching Memory
  - Changing Memory
- Symbols
- Calculator
- Windows
- Breakpoints
- Configuration
  - Colors
  - Fonts
  - Scripts
  - Settings

##

## Introduction

If you're new to the debugger, this tutorial will gently get you up to speed in becoming familiar with it.

If you're already familiar with the AppleWin Debugger, you'll be aware that it was probably lacking in features and ease of use. The new debugger has been given an over-haul for the new millennium with respect to aesthetics and functionality. As such, you'll probably want to read this tutorial to learn about the new features that will not only help you in debugging, but also save you time.

Let's get started on the tour!